Package org.silverpeas.mobile.shared.dto.configuration

## Interface IConfig

-     public interface IConfig

  Author:
    svu

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getFontSize()` |
    `boolean` | `isFavoritesDisplay()` |
    `boolean` | `isFreeZoneDisplay()` |
    `boolean` | `isFreeZoneThinDisplay()` |
    `boolean` | `isGrayscale()` |
    `boolean` | `isInverse()` |
    `boolean` | `isLastEventsDisplay()` |
    `boolean` | `isLastPublicationsDisplay()` |
    `boolean` | `isNewsDisplay()` |
    `boolean` | `isSepia()` |
    `boolean` | `isShortCutsDisplay()` |
    `boolean` | `isShortCutsToolsDisplay()` |
    `boolean` | `isStandard()` |
    `void` | `setFavoritesDisplay​(boolean favoritesDisplay)` |
    `void` | `setFontSize​(int fontSize)` |
    `void` | `setFreeZoneDisplay​(boolean freeZoneDisplay)` |
    `void` | `setFreeZoneThinDisplay​(boolean freeZoneThinDisplay)` |
    `void` | `setGrayscale​(boolean grayscale)` |
    `void` | `setInverse​(boolean inverse)` |
    `void` | `setLastEventsDisplay​(boolean lastEventsDisplay)` |
    `void` | `setLastPublicationsDisplay​(boolean lastPublicationsDisplay)` |
    `void` | `setNewsDisplay​(boolean newsDisplay)` |
    `void` | `setSepia​(boolean sepia)` |
    `void` | `setShortCutsDisplay​(boolean shortCutsDisplay)` |
    `void` | `setShortCutsToolsDisplay​(boolean shortCutsToolsDisplay)` |
    `void` | `setStandard​(boolean standard)` |

- - ### Method Detail

    - #### isFreeZoneThinDisplay

          boolean isFreeZoneThinDisplay()

    - #### setFreeZoneThinDisplay

          void setFreeZoneThinDisplay​(boolean freeZoneThinDisplay)

    - #### isNewsDisplay

          boolean isNewsDisplay()

    - #### setNewsDisplay

          void setNewsDisplay​(boolean newsDisplay)

    - #### isLastPublicationsDisplay

          boolean isLastPublicationsDisplay()

    - #### setLastPublicationsDisplay

          void setLastPublicationsDisplay​(boolean lastPublicationsDisplay)

    - #### setLastEventsDisplay

          void setLastEventsDisplay​(boolean lastEventsDisplay)

    - #### isFavoritesDisplay

          boolean isFavoritesDisplay()

    - #### setFavoritesDisplay

          void setFavoritesDisplay​(boolean favoritesDisplay)

    - #### isLastEventsDisplay

          boolean isLastEventsDisplay()

    - #### isShortCutsDisplay

          boolean isShortCutsDisplay()

    - #### setShortCutsDisplay

          void setShortCutsDisplay​(boolean shortCutsDisplay)

    - #### isFreeZoneDisplay

          boolean isFreeZoneDisplay()

    - #### setFreeZoneDisplay

          void setFreeZoneDisplay​(boolean freeZoneDisplay)

    - #### isShortCutsToolsDisplay

          boolean isShortCutsToolsDisplay()

    - #### setShortCutsToolsDisplay

          void setShortCutsToolsDisplay​(boolean shortCutsToolsDisplay)

    - #### getFontSize

          int getFontSize()

    - #### setFontSize

          void setFontSize​(int fontSize)

    - #### isStandard

          boolean isStandard()

    - #### setStandard

          void setStandard​(boolean standard)

    - #### setGrayscale

          void setGrayscale​(boolean grayscale)

    - #### isGrayscale

          boolean isGrayscale()

    - #### setSepia

          void setSepia​(boolean sepia)

    - #### isSepia

          boolean isSepia()

    - #### setInverse

          void setInverse​(boolean inverse)

    - #### isInverse

          boolean isInverse()